//----------------------------------------------------------------------------
//~Author: Fabio Arciniegas A.
//~Name: Observable
//~Description: An implementation of the ObservableIF [GoF95] part of the 
//~ observer pattern in Java
//

//----------------------------------------------------------------------------
//             This code has been formated to fit in 80 columns
//----------------------------------------------------------------------------
package com.faa.patterns.Observer;

  /** 
      An implementation of the ObservableIF [GoF95] part of the 
      observer pattern in Java
   */
public interface Observable
{

/**
   add an observer
   @param observer the observer object to be added.
 */
    public void addObserver(Observer observer);
    
  /** 
      remove an object from the list of of observers (if it is not there,
      do nothing)
      @param observer
   */
    public void removeObserver(Observer observer);

}

 
